#include <array>
#include "canvas/Canvas.hpp"

class App
{

public:
  App() = default;
  ~App() = default;
  void init(int screenWidth, int screenHeight);
  void update();
  void draw();
  void deinit();

private:
  int screenWidth, screenHeight;
  Canvas canvas;
  RenderTexture2D canvasTexure = {0};

  Rectangle dest;

  Dna dna = {0};
};
